## fastlink 4.1P

=== 4.1P/src/Makefile ===
# Makefile for FASTLINK 3.0P
# Chris Hyams (cgh@cs.rice.edu)
#
# History:
# 5/23/95 cgh -- created
# 6/7/95 cgh -- added comments for v2.3P beta release
# 7/17/95 cgh -- updated for portability to most versions of make
#                consolidated Makefile.common
# 7/18/95 cgh -- added VMS-specific section written by
#                Kimmo Kallio (Kimmo.Kallio@ktl.fi)
# 12/95   aas -- eliminated MAXWORKINGSET and maxhap
# 2/97    Anna Becker/aas -- added llopbrk.c for use in unknown
#

# Please read the file README.makefile that came
# with your FASTLINK distribution for an overview
# on using this Makefile

# If you plan to run parallel FASTLINK, please refer
# to README.parallel for more details.

# One note:
# Most versions of make allows you to override Makefile variables
# from the command line.  This Makefile includes a variable EXTRAFLAGS
# that is intentionally left empty to allow you to add command-line
# flags without editing the Makefile.  EXTRAFLAGS is automatically
# passed to each of the different targets.
#
# For example, if you wanted to pass along an additional include
# directive to the compiler when making ILINK, you could type:
#
#  make ilink EXTRAFLAGS="-I/usr/ucb/include -I/usr/lib/include"
#
# Note that if you want to add more than one flag, you need to protect
# the argument in double quotes (") as above.


######################################################
################## Miscellaneous #####################
######################################################
# The following variables apply to compilation of
# *both* sequential *and* parallel FASTLINK

# Destination bin directory for executables.  Note: this
# directory *must* exist, or compilation will fail during
# linkage.
BINDIR = ./

# Compiler optimization flag.  Comment this out
# if your compiler 
OPTFLAG = -O

# If you use the cc compiler, uncomment this flag
# to use K&R style function prototypes.
# Note: FASTLINK will *not* compile under cc without
# this flag set.
#PROTO = -DKNR_PROTO

# System-dependent compilation flags.
# - Uncomment -DSOLARIS here if you are compiling on a
#   Sun Solaris platform.
# - If you are using gcc under SunOS 4.1.x, you can
#   use -DSUNOS_4_1_X_GCC to get rid of compiler
#   warnings.
# - Uncomment -D_POSIX_SOURCE if you are compiling for AIX.
# - If you have other system-specific compiler flags that you
#   need to pass to FASTLINK, uncomment the line "SYSDEP =",
#   and add the flag there.
# Otherwise, leave this alone.
#SYSDEP = -DSUNOS_4_1_X_GCC
#SYSDEP = -DSOLARIS
#SYSDEP = -D_POSIX_SOURCE
#SYSDEP =


######################################################
############### Sequential Code Variables ############
######################################################
# Edit the following when compiling sequential FASTLINK.

# C compiler for sequential code
CC = gcc

# Uncomment this if you are compiling for DOS, or if
# you want to turn off checkpointing in FASTLINK.
#CKPT = -DDOS


######################################################
############ Parallel Code Variables #################
######################################################
# These variables apply only to parallel FASTLINK.

# C compiler for parallel code
PARCC = cc

# Parallel support library.
# If you are using TreadMarks, leave these
# commented out.
# If you are using P4 or PARMACS, uncomment the
# appropriate variable.  Make sure that no more than
# one of the following lines is uncommented!
#PARLIB = -DIS_PARMACS=1
PARLIB = -DIS_P4=1

# Parallel include path.
# If you are using TreadMarks or P4, uncomment the
# appropriate variable.  If you are using PARMACS,
# comment these out, or supply your own, appropriate path.
# Make sure that no more than one of these variables
# is uncommented!
#PARINCLPATH = -I$(TmkDIR)/include
#PARINCLPATH = -I$(P4_INCLDIR)


########### TreadMarks specifics ###############

# Set this to the root directory of your TreadMarks installation
TmkDIR = /net/blitzen/Tmk-0.9.6.FASTLINK

# Target architecture.
# For example, if your TreadMarks library is in
# $(TmkDIR)/lib.mips, you should set this variable
# to mips.  Consult your TreadMarks documentation
# for more details.
ARCH = sparc

# If you are using TreadMarks on an ATM network,
# set this to the location of libatm.a on your
# system.
ATMDIR = /usr/fore/lib


########### p4 specifics #######################

# Set this to the root of your p4 installation
P4_HOME_DIR = /usr/local/lib/p4

# Uncomment this if you are running in parallel on SOLARIS
# This is *very* important -- FASTLINK will not compile
# without it.
#P4_MDEP_LD = -lsocket -lnsl -lthread


######### Parallel C Compiler Flags #############
# Edit the following variables when compiling
# parallel FASTLINK to suit your particular run.
#
# There are 3 sets of variables provided -- one each for
# ILINK, MLINK, and LINKAP.  The variables are 
# **PARMEM, **PRECOMP, where ** represents one of IL, ML,
# or LI, for ILINK, MLINK and LINKMAP respectively.
# They are briefly described below.  Please refer to the
# files README.constants, README.memory, README.parallel,
# and README.makefile for more details.
#
# **PARMEM
#    Defines the variable LESSMEMORY, instructing FASTLINK
#    to use an alternate algorithm which requires less memory,
#    but is slower.  Please refer to the README.memory
#    and README.makefile for details.
#    Uncomment this if you wish to use less memory.
#    Note: setting this value to 0 *or* 1 will both have the
#    same effect of defining LESSMEMORY.  If you don't want
#    less memory, be sure to comment this out.
# **PRECOMPUTE
#    Defines the variable PRECOMPUTE as 1 or 0.  PRECOMPUTE=1
#    instructs FASTLINK to use an alternate algorithm which
#    requires more memory, and is faster.  PRECOMPUTE=0
#    uses the normal approach.  Please refer to the README.makefile,
#    and README.parallel for details.
#    Unlike **PARMEM, this value must be set to 0 or 1.

### ILINK flags -- used when ILFLAGS is chosen
# edit these as you wish
#ILPARMEM	= -DLESSMEMORY
ILPRECOMP	= -DPRECOMPUTE=1

### MLINK flags -- used when MLFLAGS is chosen
# edit these as you wish
#MLPARMEM	= -DLESSMEMORY
MLPRECOMP	= -DPRECOMPUTE=1


## LINKMAP flags -- used when LIFLAGS is chosen
# edit these as you wish

#LIPARMEM	= -DLESSMEMORY
LIPRECOMP	= -DPRECOMPUTE=1


######################################################
############ Unix Utilities on Your System ###########
######################################################
# If any of the following utilities are different on
# your system, you can change them here.

# RM is used for "make clean", so if you want to
# use that, you'll need something defined here.
RM = rm -f


######################################################
################## VMS Specific ######################
######################################################
# 18-Jul-1995 Kimmo Kallio (Kimmo.Kallio@ktl.fi)
# Uncomment following lines if compiling on VMS 
# system, up to (but not including) the line that starts
# "END: VMS".
#
#CC     = mcr sys$disk:[]maketool_vms.
#BINDIR = 
#%ifndef CKPT
##
## If CKPT is not defined, use empty value
##
#CKPT = 
#%endif
#
## Unix C-compiler environment, not needed on VMS
#PROTO = 
#SYSDEP =
#CFLAGS =
#SMALLCFLAGS =
#OPTFLAG =
#LDFLAGS =
#DEBUGFLAG = 
#WARNFLAG =
#BAR_OUT =
#LOAD_OUT =
#
## Parallel stuff, not in use on VMS
#PARCC = 
#PARLIB = 
#PARINCLPATH = 
#P4_INCLDIR =
#P4_MDEP_LD =
#MDEP_LIBS =
#PARDEBUG =
#PARTHETAS =
#ILPARMEM =
#MLPARMEM =
#LIPARMEM =
#DO_LOAD =
#
#vmsfast: maketool_vms installfast 
#
#vmsslow: maketool_vms installslow 
#
#vmscleanexe: 
#   delete/log ilink.;*
#   delete/log mlink.;*
#   delete/log linkmap.;*
#   delete/log lodscore.;*
#
#vmsclean:
#   purge/log *.o,*./exclude=(makefile.)
#
#maketool_vms: maketool_vms.c
#  @maketool_vms "-O maketool_vms maketool_vms.c"
#
# END: VMS -- uncomment lines above here for VMS
#


############################################################
#/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\#
############################################################
#                                                          #
# You shouldn't need to change anything beyond this point. #
#                                                          #
############################################################
#/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\#
############################################################


######################################################
################## miscellaneous #####################
######################################################

# "Slow" compiler flag
SFLAG = -DLESSMEMORY

# Extra flags passed to each target.  Do not change this!
EXTRAFLAGS = 


######################################################
############### sequential code variables ############
######################################################

# For debugging
#DEBUGFLAG = -g

# Compiler flags for sequential code
CFLAGS = \
	$(CKPT) \
	$(DEBUGFLAG) \
	$(EXTRAFLAGS) \
	$(OPTFLAG) \
	$(PROTO) \
	$(SYSDEP) \
	$(WARNFLAG)

# For sequential programs that don't take -DDOS, etc.
SMALLCFLAGS = \
	$(DEBUGFLAG) \
	$(EXTRAFLAGS) \
	$(OPTFLAG) \
	$(PROTO) \
	$(SYSDEP) \
	$(WARNFLAG)

# Linker flags
LDFLAGS = -lm

######################################################
############ parallel code variables #################
######################################################

################# TreadMarks stuff ###################

# TreadMarks library location
TmkLIB	= $(TmkDIR)/lib.$(ARCH)

# TreadMarks profiling directories
PROFDIR = /home/rrk/Ymk
PROFLIB = $(PROFDIR)/$(ARCH)
LIBPERF = /home/rrk/Ymk/gdb-4.13


################# P4 stuff ###########################

# p4 include path, library directory, and libraries
P4_INCLDIR = $(P4_HOME_DIR)/include
P4_LIBDIR = $(P4_HOME_DIR)/lib
P4_LIBS = $(P4_LIBDIR)/libp4.a $(MDEP_LIBS)

################# linker flags #######################

# LDFLAGS for each library
ATMLD   = $(LDFLAGS) -L$(TmkLIB) -lTmk_atm -L$(ATMDIR) -latm
UDPLD   = $(LDFLAGS) -L$(TmkLIB) -lTmk_udp
P4LD    = $(LDFLAGS) -L$(P4_LIBDIR) -lp4 $(P4_MDEP_LD)

########### Various compiler flags ###################

# Parallel flag
DOPAR = -DPARALLEL=1

# Supress checkpointing
NOCKPT = -DDOS

# Supress Barrier output
#BAR_OUT = -DBARRIER_OUTPUT=0

# Debugging
#PARDEBUG = -g3

# Do parallel thetas
#PARTHETAS = -DDO_PARALLELTHETAS=0

# Turn off loadbalancing
# not needed now because set to 0 in commondefs.h
#DO_LOAD = -DDO_LOADBALANCE=0

# Suppress loadbalance output
#LOAD_OUT = -DLOADBALANCE_OUTPUT=0

# Compiler warnings
#WARNFLAG = -Wall


############## parallel CFLAGS ########################

# Required parallel flags
PARFLAGS = \
	$(BAR_OUT) \
	$(PARDEBUG) \
	$(DO_LOAD) \
	$(DOPAR) \
	$(EXTRAFLAGS) \
	$(LOAD_OUT) \
	$(OPTFLAG) \
	$(NOCKPT) \
	$(PARINCLPATH) \
	$(PARLIB) \
	$(PARTHETAS) \
	$(PROTO) \
	$(SYSDEP) \
	$(WARNFLAG)

# parallel ILINK CFLAGS
ILCFLAGS = \
	$(ILPARMEM) \
	$(ILPRECOMP) \
	$(PARFLAGS)

# parallel MLINK CFLAGS
MLCFLAGS = \
	$(MLPARMEM) \
	$(MLPRECOMP) \
	$(PARFLAGS)

# parallel LINKMAP CFLAGS
LICFLAGS = \
	$(LIPARMEM) \
	$(LIPRECOMP) \
	$(PARFLAGS)

# Program-specific CFLAGS
PARILCFLAGS = $(ILCFLAGS) -DILINK
PARMLCFLAGS = $(MLCFLAGS) -DMLINK
PARLICFLAGS = $(LICFLAGS) -DLINKMAP


######################################################
################# common object files ################
######################################################


# Object files common to all sequential programs,
# each of which has a "slow" counterpart.
FASTCOMOBJS = \
	automodified.o \
	comlike.o \
	sexmodified.o

# "Slow" versions of FASTCOMOBJS.
SLOWCOMOBJS = \
	slowautomodified.o \
	slowcomlike.o \
	slowsexmodified.o


######################################################
################# ILINK object files #################
######################################################

# Object files common to "fast" and "slow" versions of ILINK.
ILCOMOBJS = \
	iliostuff.o \
