=== debian/control ===
Source: fastlink
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andreas Tille <tille@debian.org>,
 Charles Plessy <plessy@debian.org>
Build-Depends: cdbs, debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://www.ncbi.nlm.nih.gov/CBBResearch/Schaffer/fastlink.html
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/fastlink/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/fastlink/trunk/

Package: fastlink
Architecture: any
Section: science
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: fastlink-doc
Description: faster version of pedigree programs of Linkage
 Genetic linkage analysis is a statistical technique used to map
 genes and find the approximate location of disease genes. There
 was a standard software package for genetic linkage called
 LINKAGE. FASTLINK is a significantly modified and improved
 version of the main programs of LINKAGE that runs much faster
 sequentially, can run in parallel, allows the user to recover
 gracefully from a computer crash, and provides abundant new
 documentation. FASTLINK has been used in over 1000 published
 genetic linkage studies.
 .
 This package contains the following programs:
  ilink:    GEMINI optimization procedure to find a locally
            optimal value of the theta vector of recombination
            fractions
  linkmap:  calculates location scores of one locus against a
            fixed map of other loci
  lodscore: compares likelihoods at locally optimal theta
  mlink:    calculates lod scores and risk with two of more loci
  unknown:  identify possible genotypes for unknowns

Package: fastlink-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: fastlink
Description: Some papers about fastlink
 Genetic linkage analysis is a statistical technique used to map
 genes and find the approximate location of disease genes. There
 was a standard software package for genetic linkage called
 LINKAGE. FASTLINK is a significantly modified and improved
 version of the main programs of LINKAGE that runs much faster
 sequentially, can run in parallel, allows the user to recover
 gracefully from a computer crash, and provides abundant new
 documentation. FASTLINK has been used in over 1000 published
 genetic linkage studies.
 .
 You do not really need these papers about fastlink but it is highly
 recommended to study this documentation before starting with the
 tools of the fastlink package.
