=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for fastlink using cdbs
# Andreas Tille <tille@debian.org>, GPL

# include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

clean::
	cd 4.1P/src; make allclean

# Use makefile in subdir
DEB_MAKE_INVOKE = cd 4.1P/src; $(DEB_MAKE_ENVVARS) make $(if $(DEB_MAKE_MAKEFILE), -f $(DEB_MAKE_MAKEFILE),) -C $(DEB_BUILDDIR) CFLAGS=$(if $(CFLAGS_$(cdbs_curpkg)),"$(CFLAGS_$(cdbs_curpkg))","$(CFLAGS)") CXXFLAGS=$(if $(CXXFLAGS_$(cdbs_curpkg)),"$(CXXFLAGS_$(cdbs_curpkg))","$(CXXFLAGS)")

get-orig-source:
	sh debian/get-orig-source
