## fastlink 4.1P-fix100%2Bdfsg

=== debian/changelog ===
fastlink (4.1P-fix100+dfsg-4) unstable; urgency=medium

  [ Shruti Sridhar ]
  * Team upload.
  * Add autopkgtests. Closes: #909713
  * Add docs
  * Add data
  * Add examples

  [ Andreas Tille ]
  * Standards-Version: 4.5.1

 -- Shruti Sridhar <shruti.sridhar99@gmail.com>  Mon, 22 Feb 2021 01:30:24 +0530

fastlink (4.1P-fix100+dfsg-3) unstable; urgency=medium

  * Add fake watch file
  * debian/get-orig-source: Do not create new tarball if there is no new
    patchlevel
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Refer to specific version of license GPL-2+.
  * Use -fcommon option to tolerate "multiple definition of"
    Closes: #957194
  * Propagate CFLAGS set by Debian to all binaries

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2020 10:02:10 +0100

fastlink (4.1P-fix100+dfsg-2) unstable; urgency=medium

  * Secure URI in Homepage
  * debian/get-orig-source: use https instead of ftp
  * d/rules: Be more cross-building friendly
  * hardening=+all
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2018 11:35:01 +0200

fastlink (4.1P-fix100+dfsg-1) unstable; urgency=low

  * New upstream patch level
  * debian/upstream/metadata
  * debhelper 9
  * cme fix dpkg-control
  * d/rules: short dh
  * DEP5
  * Moved packaging from SVN to Git
  * Provide fake d/watch to document that upstream has no versioned tarball
  * Propagate hardening flags

 -- Andreas Tille <tille@debian.org>  Sun, 10 Jan 2016 10:17:50 +0100
