## fastlink 4.1P-fix100+dfsg

=== debian/changelog ===
fastlink (4.1P-fix100+dfsg-6) unstable; urgency=medium

  * Team upload.
  [ Adrian Bunk ]
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    Closes: #1096612.
  [ Santiago Vila ]
  * Disable blhc in salsa-ci.yml for the time being, as it fails.
  * Drop "Rules-Requires-Root: no", as it's now the default.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 24 Sep 2025 01:25:00 +0200

fastlink (4.1P-fix100+dfsg-5) unstable; urgency=medium

  * Standards-Version: 4.6.2
  * Fix clean target
    Closes: #1044987

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jan 2024 18:46:05 +0100
