=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: fastlink
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Charles Plessy <plessy@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Andreas Tille <tille@debian.org>,
- Charles Plessy <plessy@debian.org>
-Build-Depends: cdbs, debhelper (>= 8)
-Standards-Version: 3.9.2
-Homepage: http://www.ncbi.nlm.nih.gov/CBBResearch/Schaffer/fastlink.html
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/fastlink/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/fastlink/trunk/
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/med-team/fastlink
+Vcs-Git: https://salsa.debian.org/med-team/fastlink.git
+Homepage: https://www.ncbi.nlm.nih.gov/CBBResearch/Schaffer/fastlink.html
 
 Package: fastlink
 Architecture: any
-Section: science
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Suggests: fastlink-doc
 Description: faster version of pedigree programs of Linkage
  Genetic linkage analysis is a statistical technique used to map
